Use `-Wno-tabs` more targetted
authorHerbert Valerio Riedel <hvr@gnu.org>
Fri, 18 Dec 2015 09:45:22 +0000 (10:45 +0100)
committerHerbert Valerio Riedel <hvr@gnu.org>
Fri, 18 Dec 2015 09:48:53 +0000 (10:48 +0100)
commit77b7f24543fb23d79d58b51213577c85cf394d9d
tree6914018282b53d03b8a4685a14cf167778a0f9e5
parent34393d99df6e8abec1aead0bc03ba44de218d1c8
Use `-Wno-tabs` more targetted

So far only `time` (fixed upstream already though) and `xhtml` still require
`-Wno-tabs`, so let's apply that warning suppression flag only there.

This also updates the haskeline submodule to pull in a tab-fix
libraries/haskeline
mk/warnings.mk